/**
 * @typedef {import('@/constants/languages').Lang} Lang
 */

/**
 * @param {Lang} lang
 */
export function hotelreservation(lang) {
  return `/${lang}/hotelreservation`
}

/**
 * @param {Lang} lang
 */
export function bookingConfirmation(lang) {
  return `${hotelreservation(lang)}/booking-confirmation`
}

/**
 * @param {Lang} lang
 */
export function details(lang) {
  return `${hotelreservation(lang)}/details`
}

/**
 * @param {Lang} lang
 */
export function selectHotel(lang) {
  return `${hotelreservation(lang)}/select-hotel`
}

/**
 * @param {Lang} lang
 */
export function selectHotelMap(lang) {
  return `${hotelreservation(lang)}/select-hotel/map`
}

/**
 * @param {Lang} lang
 */
export function selectRate(lang) {
  return `${hotelreservation(lang)}/select-rate`
}

/**
 * @param {Lang} lang
 * @param {string} hotelId
 * @param {string} fromdate
 * @param {string} todate
 */
export function selectRateWithParams(lang, hotelId, fromdate, todate) {
  return `${hotelreservation(lang)}/select-rate?room%5B0%5D.adults=1&fromdate=${fromdate}&todate=${todate}&hotel=${hotelId}`
}

/**
 * @param {Lang} lang
 */
export function alternativeHotels(lang) {
  return `${hotelreservation(lang)}/alternative-hotels`
}

/**
 * @param {Lang} lang
 */
export function alternativeHotelsMap(lang) {
  return `${hotelreservation(lang)}/alternative-hotels/map`
}

/**
 * @param {Lang} lang
 */
export function guaranteeCallback(lang) {
  return `${hotelreservation(lang)}/gla-payment-callback`
}
